package dev.shadowsoffire.apotheosis.adventure.net;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import dev.shadowsoffire.apotheosis.adventure.affix.effect.RadialAffix;
import dev.shadowsoffire.apotheosis.adventure.net.RadialStateChangeMessage;
import dev.shadowsoffire.placebo.network.MessageHelper;
import dev.shadowsoffire.placebo.network.MessageProvider;
import java.util.function.Supplier;
import net.minecraft.network.FriendlyByteBuf;
import net.minecraft.server.level.ServerPlayer;
import net.minecraft.world.entity.player.Player;
import net.minecraftforge.network.NetworkEvent;

public class Provider implements MessageProvider<RadialStateChangeMessage> {
  public Class<?> getMsgClass() {
    return RadialStateChangeMessage.class;
  }
  
  public void write(RadialStateChangeMessage msg, FriendlyByteBuf buf) {}
  
  public RadialStateChangeMessage read(FriendlyByteBuf buf) {
    return new RadialStateChangeMessage();
  }
  
  public void handle(RadialStateChangeMessage msg, Supplier<NetworkEvent.Context> ctx) {
    MessageHelper.handlePacket(() -> {
          ServerPlayer serverPlayer = ((NetworkEvent.Context)ctx.get()).getSender();
          if (serverPlayer == null)
            return; 
          RadialAffix.toggleRadialState((Player)serverPlayer);
        }ctx);
  }
}
